> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Collection Application

> Use the appId corresponding to TWD. After successful user payment, the TWD balance will be increased.

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">Secret Key & Private Key (Generate Signature)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="Secret Key" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="Private Key" class="px-3 py-2 border rounded-md" />
</div>

## Related Topics

* [Taiwan Payment API](/docs/en/api/version2/Taiwan)
* [HaiPay API Reference Overview](/docs/en/api-reference/overview)
* [HaiPay Configuration and Signature Guide](/docs/en/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/en/V20260701/api-reference/twd/twd.openapi.json POST /twd/collect/apply
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /twd/collect/apply:
    post:
      tags: []
      summary: TWD Collection Application
      description: >-
        Use the appId corresponding to TWD. After successful user payment, the
        TWD balance will be increased.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: >-
                    Business ID (obtained from the backend, needs to pass the
                    corresponding business ID according to the currency in the
                    URL)
                orderId:
                  type: string
                  description: Merchant order number
                  maxLength: 48
                name:
                  type: string
                  description: >-
                    User’s full name. Recommended to use real name. Format:
                    firstName and lastName separated by a space. Example: John
                    Doe
                phone:
                  type: string
                  description: Real phone number
                email:
                  type: string
                  description: Real email
                  format: email
                amount:
                  type: string
                  description: Transaction amount. For TWD orders, decimals are not allowed
                payType:
                  type: string
                  description: Transaction type
                inBankCode:
                  type: string
                  description: '[Payment method](#inBankCode)'
                callBackUrl:
                  type: string
                  description: Redirect URL after successful payment
                  format: uri
                callBackFailUrl:
                  type: string
                  description: Redirect URL after failed payment
                  format: uri
                cancelUrl:
                  type: string
                  description: >-
                    Cancel payment redirect URL. If provided, users can click
                    back on the payment page and be redirected to this URL
                  format: uri
                notifyUrl:
                  type: string
                  description: Callback URL
                  format: uri
                subject:
                  type: string
                  description: Payment note
                body:
                  type: string
                  description: Additional details
                country:
                  type: string
                  description: 'Required for cashier mode, fixed value: 158'
                currency:
                  type: string
                  description: 'Currency (default TWD; supported currencies: USD, TWD)'
                  enum:
                    - USD
                    - TWD
                partnerUserId:
                  type: string
                  description: >-
                    Unique user identifier (e.g., userId). Used for risk
                    control. Must be valid, otherwise it will affect the
                    transaction. Allowed format: numbers, uppercase/lowercase
                    letters, or common symbols -~!@#$%&*()_.
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                sign:
                  type: string
                  description: Signature
              required:
                - appId
                - orderId
                - name
                - phone
                - email
                - amount
                - payType
                - inBankCode
                - callBackUrl
                - callBackFailUrl
                - subject
                - partnerUserId
                - sign
              additionalProperties: false
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: '1: Normal, 0: Exception'
                  error:
                    type: string
                    description: Error code
                  msg:
                    type: string
                    description: Error description
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: Merchant order number (must be unique)
                      orderNo:
                        type: string
                        description: Platform order number
                      payUrl:
                        type: string
                        description: Payment link
                      sign:
                        type: string
                        description: Signature
                    additionalProperties: false
                    description: ''
                additionalProperties: false
      deprecated: false
      security: []

````